# GET /replicate/v1/predictions/{task_id}

**Method**: `GET`
**Endpoint**: `/replicate/v1/predictions/{task_id}`

## Request Parameters

### Path Parameters

```text
task_id
string
Required
```

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
object
Example
{
}
```

## Example Request

### Shell

```bash
curl --location --request GET '/replicate/v1/predictions/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{
    "id": "yh6y8mbqb1rma0cn8b3vt6038g",
    "model": "black-forest-labs/flux-1.1-pro",
    "version": "hidden",
    "input": {
        "prompt": "black forest gateau cake spelling out the words \"FLUX 1.1 Pro\", tasty, food photography",
        "prompt_upsampling": true
    },
    "logs": "Running prediction... \nUsing seed: 41298\nGenerating image...\nGenerated image in 3.1sec\nDownloaded image in 0.14sec",
    "output": "https://replicate.delivery/xezq/sdDXTQiAZZJCOJgOLMfCgV8IjTjamMntZMPoumR0qkb39mJKA/tmp_qgdk_lm.webp",
    "data_removed": false,
    "error": null,
    "status": "succeeded",
    "created_at": "2025-02-26T15:02:03.352Z",
    "started_at": "2025-02-26T15:02:03.35548709Z",
    "completed_at": "2025-02-26T15:02:06.631103656Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/yh6y8mbqb1rma0cn8b3vt6038g/cancel",
        "get": "https://api.replicate.com/v1/predictions/yh6y8mbqb1rma0cn8b3vt6038g",
        "stream": "https://stream.replicate.com/v1/files/bcwr-dddrbppl2gcxy7w3r2e35ldibyrz426usowhrkp5wbikxxylvwia"
    },
    "metrics": {
        "image_count": 1,
        "predict_time": 3.275616567
    }
}
```
